# Sets the resolved status of a comment.

POST https://api.awork.com/api/v1/documents/{documentId}/comments/{commentId}/setresolved

Sets the resolved status of a comment. Users need write permissions on the document to resolve/unresolve comments.
            Currently, the IsResolved property is only available for document comments.

<Check title="Required Permissions" icon="key">Any authenticated user.</Check>

## Request example

```sh
curl -X POST --globoff 'https://api.awork.com/api/v1/documents/{documentId}/comments/{commentId}/setresolved' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  --data '{
  "isResolved": true
}'
```

- path parameter `documentId`: string (required). The id of the document.

- path parameter `commentId`: string (required). The id of the comment.

## Request body (application/json)

- `isResolved`: boolean (required)

## Response 200

OK

application/json

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "entityId": "123e4567-e89b-12d3-a456-426614174000",
  "entityType": "tasks",
  "entity": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "string"
  },
  "project": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "string"
  },
  "task": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "string"
  },
  "document": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "string"
  },
  "createdOn": "2026-01-15T09:30:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "user": {
    "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
    "firstName": "Carla",
    "lastName": "Creative",
    "hasImage": true,
    "isExternal": true
  },
  "agentId": "123e4567-e89b-12d3-a456-426614174000",
  "agentNameSnapshot": "string",
  "updatedOn": "2026-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "mentions": {
    "isMentioningPersonalAgent": true,
    "users": [
      {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "firstName": "Carla",
        "lastName": "Creative",
        "hasImage": true,
        "isExternal": true
      }
    ],
    "agentIds": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "everyUserHadPermissions": true
  },
  "reactions": [
    {
      "userId": "123e4567-e89b-12d3-a456-426614174000",
      "emoji": "👍"
    }
  ],
  "formattedMessage": "Hey team, the customer loved the latest designs!",
  "plainFormattedMessage": "Hey team, the customer loved the latest designs!",
  "resourceVersion": 637825154598057900,
  "message": "Hey team, the customer loved the latest designs!",
  "userId": "123e4567-e89b-12d3-a456-426614174000",
  "previews": [
    "https://www.awork.com/en/blog/automatic-project-management/"
  ],
  "isHiddenForConnectUsers": true,
  "isResolved": true,
  "inReplyToCommentId": "123e4567-e89b-12d3-a456-426614174000"
}
```

## Response 401

Unauthorized

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
